// Mocks generated by Mockito 5.3.2 from annotations
// in flutter_bdd/test/my_home_page_test.dart.
// Do not manually edit this file.

// ignore_for_file: no_leading_underscores_for_library_prefixes
import 'package:flutter/foundation.dart' as _i2;
import 'package:flutter_bdd/my_home_page_view_model.dart' as _i3;
import 'package:mockito/mockito.dart' as _i1;

// ignore_for_file: type=lint
// ignore_for_file: avoid_redundant_argument_values
// ignore_for_file: avoid_setters_without_getters
// ignore_for_file: comment_references
// ignore_for_file: implementation_imports
// ignore_for_file: invalid_use_of_visible_for_testing_member
// ignore_for_file: prefer_const_constructors
// ignore_for_file: unnecessary_parenthesis
// ignore_for_file: camel_case_types
// ignore_for_file: subtype_of_sealed_class

class _FakeValueNotifier_0<T> extends _i1.SmartFake
    implements _i2.ValueNotifier<T> {
  _FakeValueNotifier_0(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

/// A class which mocks [MyHomePageViewModel].
///
/// See the documentation for Mockito's code generation for more information.
class MockMyHomePageViewModel extends _i1.Mock
    implements _i3.MyHomePageViewModel {
  @override
  _i2.ValueNotifier<int> get counterValue => (super.noSuchMethod(
        Invocation.getter(#counterValue),
        returnValue: _FakeValueNotifier_0<int>(
          this,
          Invocation.getter(#counterValue),
        ),
        returnValueForMissingStub: _FakeValueNotifier_0<int>(
          this,
          Invocation.getter(#counterValue),
        ),
      ) as _i2.ValueNotifier<int>);
  @override
  void initialize() => super.noSuchMethod(
        Invocation.method(
          #initialize,
          [],
        ),
        returnValueForMissingStub: null,
      );
}
